org.gnome.gdk

## Class WindowState

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.gdk.WindowState

-     public final class WindowState
      extends org.freedesktop.bindings.Flag

  Constants describing the state of an underlying resource. You can access most of these by calling methods available on [org.gnome.gtk] Window.
  Since:
    4.0.3
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WindowState` | `ABOVE`
    `static WindowState` | `BELOW`
    `static WindowState` | `FULLSCREEN`
    `static WindowState` | `ICONIFIED`
    `static WindowState` | `MAXIMIZED`
    `static WindowState` | `STICKY`
    `static WindowState` | `WITHDRAWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowState` | `or(WindowState one, WindowState two)` Creates a new WindowState flag as the OR'ing or combination of two WindowState flags.

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ABOVE

          public static final WindowState ABOVE

    - #### BELOW

          public static final WindowState BELOW

    - #### FULLSCREEN

          public static final WindowState FULLSCREEN

    - #### ICONIFIED

          public static final WindowState ICONIFIED

    - #### MAXIMIZED

          public static final WindowState MAXIMIZED

    - #### STICKY

          public static final WindowState STICKY

    - #### WITHDRAWN

          public static final WindowState WITHDRAWN

  - ### Method Detail

    - #### or

          public static WindowState or(WindowState one,
                       WindowState two)

      Creates a new WindowState flag as the OR'ing or combination of two WindowState flags.